Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class NewLabelAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
          info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
              info.bioinfweb.treegraph.document.nodedata.LabelAdapter
                  info.bioinfweb.treegraph.document.nodedata.NewLabelAdapter

All Implemented Interfaces:
  IDElementAdapter, NewNodeDataAdapter, NodeDataAdapter

    public class NewLabelAdapter

extends LabelAdapter
implements NewNodeDataAdapter

Creates a new group of labels.

Author:
  Ben Stöver

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`id`

Constructor Summary
`NewLabelAdapter()`

Method Summary
`void` | `setID(java.lang.String labelID)` Defines the ID of the node data column that is created by this node data adapter.
`java.lang.String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.LabelAdapter
`assignData, createData, delete, getData, getDataElement, getDecimalFormat`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.AbstractIDElementAdapter
`getID`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
`getID`

Methods inherited from interface info.bioinfweb.treegraph.document.nodedata.NodeDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText`

Constructor Detail

### NewLabelAdapter

    public NewLabelAdapter()

Method Detail

### setID

    public void setID(java.lang.String labelID)

  Description copied from interface: `NewNodeDataAdapter`
  Defines the ID of the node data column that is created by this node data adapter.

  Specified by:
    `setID` in interface `NewNodeDataAdapter`
  Parameters:
    `labelID` - - the new ID

### toString

    public java.lang.String toString()

  Description copied from interface: `NodeDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeDataAdapter`
  Overrides:
    `toString` in class `LabelAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD